import { ElementRef, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AutofocusDirective implements OnInit {
    private el;
    private _focus;
    constructor(el: ElementRef);
    ngOnInit(): void;
    set autofocus(condition: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<AutofocusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutofocusDirective, "[axAutofocus]", never, { "autofocus": { "alias": "autofocus"; "required": false; }; }, {}, never, never, false, never>;
}
